package de.christofreichardt.jaxws.securitypriceservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for UnknownPrice complex type.
 *
 * <p>
 * The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="UnknownPrice">
 *   &lt;complexContent>
 *     &lt;extension base="{http://de.christofreichardt/SecurityPriceService}AbstractSecurityPrice">
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UnknownPrice")
public class UnknownPrice
    extends AbstractSecurityPrice {

  @Override
  public String toString() {
    StringBuilder stringBuilder = new StringBuilder();
    stringBuilder.append("UnknownPrice[");
    if (this.security != null) {
      stringBuilder.append("Security[");
      stringBuilder.append("Name=");
      stringBuilder.append(this.security.getName());
      stringBuilder.append(", ");
      stringBuilder.append("WKN=");
      stringBuilder.append(this.security.getWKN());
      stringBuilder.append(", ");
      stringBuilder.append("ISIN=");
      stringBuilder.append(this.security.getISIN());
      stringBuilder.append("]");
    }
    stringBuilder.append("]");

    return stringBuilder.toString();
  }

}
